OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.OcclusionQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVOcclusionQuery :: MonadIO m => m Bool
- gl_NV_occlusion_query :: Bool
- pattern GL_CURRENT_OCCLUSION_QUERY_ID_NV :: GLenum
- pattern GL_PIXEL_COUNTER_BITS_NV :: GLenum
- pattern GL_PIXEL_COUNT_AVAILABLE_NV :: GLenum
- pattern GL_PIXEL_COUNT_NV :: GLenum
- glBeginOcclusionQueryNV :: MonadIO m => GLuint -> m ()
- glDeleteOcclusionQueriesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glEndOcclusionQueryNV :: MonadIO m => m ()
- glGenOcclusionQueriesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetOcclusionQueryivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetOcclusionQueryuivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glIsOcclusionQueryNV :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetNVOcclusionQuery :: MonadIO m => m Bool Source #

Is the NV_occlusion_query extension supported?

gl_NV_occlusion_query :: Bool Source #

Is the NV_occlusion_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVOcclusionQuery` in those cases instead.

# Enums

pattern GL_CURRENT_OCCLUSION_QUERY_ID_NV :: GLenum Source #

pattern GL_PIXEL_COUNTER_BITS_NV :: GLenum Source #

pattern GL_PIXEL_COUNT_AVAILABLE_NV :: GLenum Source #

pattern GL_PIXEL_COUNT_NV :: GLenum Source #

# Functions

glBeginOcclusionQueryNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDeleteOcclusionQueriesNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

glEndOcclusionQueryNV :: MonadIO m => m () Source #

glGenOcclusionQueriesNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

glGetOcclusionQueryivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type OcclusionQueryParameterNameNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetOcclusionQueryuivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type OcclusionQueryParameterNameNV.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glIsOcclusionQueryNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.